<?php
/* -----------------------------------------------------------------------------
  Plugin     : Histogram
  Author     : Grum
    email    : grum@piwigo.org
    website  : http://photos.grum.fr

    << May the Little SpaceFrog be with you ! >>
  ------------------------------------------------------------------------------
  See main.inc.php for release information

  --------------------------------------------------------------------------- */

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }

if(!defined('HGRAM_DIR')) define('HGRAM_DIR' , basename(dirname(__FILE__)));
if(!defined('HGRAM_PATH')) define('HGRAM_PATH' , PHPWG_PLUGINS_PATH . HGRAM_DIR . '/');

//ini_set('error_reporting', E_ALL);
//ini_set('display_errors', true);

global $gpcInstalled, $lang; //needed for plugin manager compatibility

/*
 * -----------------------------------------------------------------------------
 * Histogram needs the Grum Plugin Classes
 * -----------------------------------------------------------------------------
 */
$gpcInstalled=false;
if(file_exists(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php'))
{
  include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
  // need GPC release greater or equal than 3.2.0
  if(CommonPlugin::checkGPCRelease(3,2,0))
  {
    include_once('hgram_install.class.inc.php');
    $gpcInstalled=true;
  }
}

function gpcMsgError(&$errors)
{
  $msg=sprintf(l10n('To install this plugin, you need to install Grum Plugin Classes %s before'), HGRAM_GPC_NEEDED);
  if(is_array($errors))
  {
    array_push($errors, $msg);
  }
  else
  {
    $errors=Array($msg);
  }
}
// -----------------------------------------------------------------------------




load_language('plugin.lang', HGRAM_PATH);


function plugin_install($plugin_id, $plugin_version, &$errors)
{
  global $prefixeTable, $gpcInstalled;

  if($gpcInstalled)
  {
    $hgram = new HGram_Install($prefixeTable, __FILE__);
    if(!$hgram->install())
    {
      array_push($errors, "error");
    }
  }
  else
  {
    gpcMsgError($errors);
  }
}

function plugin_activate($plugin_id, $plugin_version, &$errors)
{
  global $prefixeTable, $gpcInstalled;

  if($gpcInstalled)
  {
    $hgram = new HGram_Install($prefixeTable, __FILE__);
    $result=$hgram->activate();
    if($result===false or $result!='')
    {
      if(is_string($result))
      {
        array_push($errors, $result);
      }
      else
      {
        array_push($errors, "");
      }
    }
  }
  else
  {
    gpcMsgError($errors);
  }
}

function plugin_deactivate($plugin_id)
{
  global $prefixeTable, $gpcInstalled;

  if($gpcInstalled)
  {
    $hgram = new HGram_Install($prefixeTable, __FILE__);
    $hgram->deactivate();
  }
}

function plugin_uninstall($plugin_id)
{
  global $prefixeTable, $gpcInstalled;

  if($gpcInstalled)
  {
    $hgram = new HGram_Install($prefixeTable, __FILE__);
    $hgram->uninstall();
  }
  else
  {
    gpcMsgError($errors);
  }
}


?>
